public inbox for git@vger.kernel.org
 help / color / mirror / Atom feed
From: Patrick Steinhardt <ps@pks.im>
To: Junio C Hamano <gitster@pobox.com>
Cc: git@vger.kernel.org
Subject: Re: [PATCH 08/11] t9200: make test "set -e" clean
Date: Wed, 25 Mar 2026 08:16:01 +0100	[thread overview]
Message-ID: <acOLsfavUHJZA1tW@pks.im> (raw)
In-Reply-To: <20260325062114.2067946-9-gitster@pobox.com>

On Tue, Mar 24, 2026 at 11:21:11PM -0700, Junio C Hamano wrote:
> diff --git a/t/t9200-git-cvsexportcommit.sh b/t/t9200-git-cvsexportcommit.sh
> index 14cbe96527..65ef1d7c82 100755
> --- a/t/t9200-git-cvsexportcommit.sh
> +++ b/t/t9200-git-cvsexportcommit.sh
> @@ -11,8 +11,8 @@ if ! test_have_prereq PERL; then
>  	test_done
>  fi
>  
> -cvs >/dev/null 2>&1
> -if test $? -ne 1
> +status=0; cvs >/dev/null 2>&1 || status=$?
> +if test $status -ne 1
>  then
>      skip_all='skipping git cvsexportcommit tests, cvs not found'
>      test_done

Similarly, here I've got:

diff --git a/t/t9200-git-cvsexportcommit.sh b/t/t9200-git-cvsexportcommit.sh
index 14cbe96527..581cf3d28f 100755
--- a/t/t9200-git-cvsexportcommit.sh
+++ b/t/t9200-git-cvsexportcommit.sh
@@ -11,8 +11,7 @@ if ! test_have_prereq PERL; then
        test_done
 fi

-cvs >/dev/null 2>&1
-if test $? -ne 1
+if ! cvs version >/dev/null 2>&1
 then
     skip_all='skipping git cvsexportcommit tests, cvs not found'
     test_done

Patrick

  reply	other threads:[~2026-03-25  7:16 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-03-25  6:21 [PATCH 00/11] detect misspelt test_expect_success and friends Junio C Hamano
2026-03-25  6:21 ` [PATCH 01/11] test-lib: catch misspelt 'test_expect_successo' Junio C Hamano
2026-03-26  4:08   ` Jeff King
2026-03-26 14:27     ` Junio C Hamano
2026-03-26 17:29       ` Jeff King
2026-03-27  7:53         ` Patrick Steinhardt
2026-03-27 18:11           ` Junio C Hamano
2026-03-25  6:21 ` [PATCH 02/11] t0008: make test "set -e" clean Junio C Hamano
2026-03-25  6:21 ` [PATCH 03/11] t6002: " Junio C Hamano
2026-03-25  7:15   ` Patrick Steinhardt
2026-03-25 15:45     ` Junio C Hamano
2026-03-25  6:21 ` [PATCH 04/11] t4032: " Junio C Hamano
2026-03-25  7:15   ` Patrick Steinhardt
2026-03-25  6:21 ` [PATCH 05/11] t7450: " Junio C Hamano
2026-03-25  7:15   ` Patrick Steinhardt
2026-03-25  6:21 ` [PATCH 06/11] tests: make svn " Junio C Hamano
2026-03-25  7:15   ` Patrick Steinhardt
2026-03-25  6:21 ` [PATCH 07/11] t7508: make " Junio C Hamano
2026-03-25  6:21 ` [PATCH 08/11] t9200: " Junio C Hamano
2026-03-25  7:16   ` Patrick Steinhardt [this message]
2026-03-25  6:21 ` [PATCH 09/11] t940?: " Junio C Hamano
2026-03-25  6:21 ` [PATCH 10/11] t5570: " Junio C Hamano
2026-03-25  7:16   ` Patrick Steinhardt
2026-03-25 15:50     ` Junio C Hamano
2026-03-25  6:21 ` [PATCH 11/11] t9902: " Junio C Hamano
2026-03-25  7:08 ` [PATCH 00/11] detect misspelt test_expect_success and friends Patrick Steinhardt
2026-03-25 13:47   ` Junio C Hamano

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=acOLsfavUHJZA1tW@pks.im \
    --to=ps@pks.im \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox